module Blackfire
  class TimelineItem
    def should_be_included?
      return false unless @wall_time.to_i > Query.timespan_threshold.to_i || timeline_should_be_included(@target_name)

      true
    end

    private

    def timeline_should_be_included(target_name)
      return false if Timespan.timespan_rules.nil?

      Timespan.timespan_rules.each do |rule|
        return true if rule.parse(target_name)
      end
      false
    end
  end
end
